package com.pixelized.desktop.lwa.ui.navigation.screen.destination.gamemaster

import androidx.navigation.NavGraphBuilder
import androidx.navigation.NavHostController
import androidx.navigation.compose.composable
import com.pixelized.desktop.lwa.ui.screen.admin.map.list.GMMapPage

object GMMapDestination {
    private const val ROUTE = "GameMasterMap"

    fun baseRoute() = ROUTE
    fun navigationRoute() = ROUTE
}

fun NavGraphBuilder.composableGameMasterMapPage() {
    composable(
        route = GMMapDestination.baseRoute(),
    ) {
        GMMapPage()
    }
}

fun NavHostController.navigateToGameMasterMapPage() {
    val route = GMMapDestination.navigationRoute()
    navigate(route = route)
}